/* game-main.c */
static tsSCREENS sScreen;
static char *apcScreenImages[];
static char *apcSoundFiles[];
static BMPSPRITEINFO background;
static BMPSPRITEINFO advert;
static BMPSPRITEINFO sBall[ NUM_SPRITES ];
static BMPSPRITEINFO sCompName[ 50  ];
static ANIMATION sHeberAnimation;
static ANIMATION sRedBall;
static ANIMATION sGreenBall;
static WAVFILEINFO sLoopSound;
static WAVFILEINFO sLeftBounce;
static WAVFILEINFO sRightBounce;
static WAVFILEINFO sCollision;
static volatile UBYTE qLeftHit;
static volatile UBYTE qRightHit;
static volatile UBYTE qRedGreenHit;
static ULONG alSaveBuffer[ 2 ];
static const DEVICE *pSerialDevice;
static void gm_InitialiseCompactFlash(void);
static void gm_InitialiseScreen(void);
static UBYTE gm_LoadImages(void);
static BYTE gm_LoadWindowsBmp(BYTE *acFileName, BMPFILEINFO *psBmpInfo, UWORD *pwTmpMem, ULONG *plStartOfFreeMem);
static void gm_CheckForCollision(ANIMATION *psCurAnim, ANIMATION *psOthAnim);
static void gm_DummyAnimation(ANIMATION *sAnim);
static void gm_IsBallAtEdge(ANIMATION *psAnim);
static void gm_InitialiseSound(void);
